Subject: bug#74364: closed (Re: bug#74364: Bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Nov 2024 15:39:02 +0000

Your bug report

#74364: Bug?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74364: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74364
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74364: Bug?
From: Eli Zaretskii <[email-masked]>
To: Manuel Giraud <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 30 Nov 2024 17:37:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 30 Nov 2024 15:44:29 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Manuel Giraud <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Fri, 29 Nov 2024 16:46:55 +0100
> >> 
> >> What about this?  I have mimic it after your patch dec2ac0c657.  I've
> >> tested it lightly and it seems to work as expected:
> >> 
> >>                    - The user can save the TUTORIAL to a file
> >>                    
> >>                    - Trying to kill Emacs will ask if the user wants to
> >>                      save his progression.
> >> 
> >>                    - The progression is correctly saved.
> >
> > Fine by me, please install on master, and thanks.
> 
> Ok but I don't have permissions to commit.

Thanks, installed on master, and closing the bug.

Subject: Bug?
From: Tatsu Takamaro <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2024 07:53:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! I'm new user. Just read the Manual. And I'd like to report a bug 
or ask a question (if it's not a bug). So, as it said in the Manual, the 
TUTORIAL file that I read is just a copy of the original, so I can 
change it freely. But. When I change it, and then triing to leave Emacs 
(Ctrl + x + c), I got this message.

Error on exit:
tutorial--saved-file: Wrong type argument: stringp, nil

The debugger says:
Debugger entered--Lisp error: (wrong-type-argument stringp nil)
   file-name-extension(nil)
   tutorial--saved-file()
   tutorial--save-on-kill()
   run-hook-with-args-until-failure(tutorial--save-on-kill)
   save-buffers-kill-emacs(nil)
   save-buffers-kill-terminal(nil)
   funcall-interactively(save-buffers-kill-terminal nil)
   command-execute(save-buffers-kill-terminal)

The error appears only when you try to exit and the TUTORIAL file is 
modified. At the same time, Emacs allows saving the TUTORIAL file by 
Ctrl + x + s during operation.

Regards, Tony.